Retro Rocket Kernel BASIC-Powered Operating System

Data Structures | Functions
string.h File Reference

## Data Structures
struct | gc_str

## Functions
unsigned int | strlen (const char *str)
int | strcmp (const char *s1, const char *s2)
int | stricmp (const char *s1, const char *s2)
int | strncmp (const char *s1, const char *s2, uint32_t n)
int | strnicmp (const char *s1, const char *s2, uint32_t n)
char | toupper (char low)
char | tolower (char low)
int | isalnum (const char x)
bool | isspace (const char x)
bool | isalpha (const char x)
char * | strchr (const char *s, int c)
uint32_t | strlcat (char *dst, const char *src, uint32_t siz)
uint32_t | strlcpy (char *dst, const char *src, uint32_t siz)
char * | strdup (const char *string)
char * | gc_strdup (const char *string)
int | gc ()
uint64_t | hextoint (const char *n1)
unsigned char | isdigit (const char x)
unsigned char | isxdigit (const char x)
int | atoi (const char *s)
int64_t | atoll (const char *s, int radix)
uint64_t | atoull (const char *s)
bool | atof (const char *s, double *a)
int | abs (int a)
int64_t | labs (int64_t a)

## Detailed Description

Author
  Craig Edwards (craig.nosp@m.edwa.nosp@m.rds@b.nosp@m.rain.nosp@m.box.c.nosp@m.c)

Copyright
  Copyright (c) 2012-2023

## Function Documentation

## ◆ abs()

int abs | ( | int | a | ) |

## ◆ atof()

bool atof | ( | const char * | s,
|  | double * | a
| ) |  |

## ◆ atoi()

int atoi | ( | const char * | s | ) |

## ◆ atoll()

int64_t atoll | ( | const char * | s,
|  | int | radix
| ) |  |

## ◆ atoull()

uint64_t atoull | ( | const char * | s | ) |

## ◆ gc()

int gc | ( |  | ) |

## ◆ gc_strdup()

char* gc_strdup | ( | const char * | string | ) |

## ◆ hextoint()

uint64_t hextoint | ( | const char * | n1 | ) |

## ◆ isalnum()

int isalnum | ( | const char | x | ) |

## ◆ isalpha()

bool isalpha | ( | const char | x | ) |

## ◆ isdigit()

unsigned char isdigit | ( | const char | x | ) |

## ◆ isspace()

bool isspace | ( | const char | x | ) |

## ◆ isxdigit()

unsigned char isxdigit | ( | const char | x | ) |

## ◆ labs()

int64_t labs | ( | int64_t | a | ) |

## ◆ strchr()

char* strchr | ( | const char * | s,
|  | int | c
| ) |  |

## ◆ strcmp()

int strcmp | ( | const char * | s1,
|  | const char * | s2
| ) |  |

## ◆ strdup()

char* strdup | ( | const char * | string | ) |

## ◆ stricmp()

int stricmp | ( | const char * | s1,
|  | const char * | s2
| ) |  |

## ◆ strlcat()

uint32_t strlcat | ( | char * | dst,
|  | const char * | src,
|  | uint32_t | siz
| ) |  |

## ◆ strlcpy()

uint32_t strlcpy | ( | char * | dst,
|  | const char * | src,
|  | uint32_t | siz
| ) |  |

## ◆ strlen()

unsigned int strlen | ( | const char * | str | ) |

## ◆ strncmp()

int strncmp | ( | const char * | s1,
|  | const char * | s2,
|  | uint32_t | n
| ) |  |

## ◆ strnicmp()

int strnicmp | ( | const char * | s1,
|  | const char * | s2,
|  | uint32_t | n
| ) |  |

## ◆ tolower()

char tolower | ( | char | low | ) |

## ◆ toupper()

char toupper | ( | char | low | ) |